#ifndef BAKED_H_
#define BAKED_H_

typedef struct {
    int memfd;
    void *bufptr;
} Baked_Resource_Value;

typedef struct {
    char *key;  // path
    Baked_Resource_Value value;
} Baked_Resource;

void init_baked_resources(void);
void free_baked_resources(void);
bool get_baked_resource_path(char *key, char *buf, size_t size);
void baked_resource_each(void (*f)(Baked_Resource *resource, void *udata), void *udata);
void lock_baked_resources(void);
void unlock_baked_resources(void);

#endif // BAKED_H_
